### Method

# Json Parser has_assignment

since: 0.4

#### Declaration [src]

    gboolean
    json_parser_has_assignment (
      JsonParser* parser,
      gchar** variable_name
    )

#### Description [src]

A JSON data stream might sometimes contain an assignment, like:

    var _json_data = { "member_name" : [ ...

even though it would technically constitute a violation of the RFC.

`JsonParser` will ignore the left hand identifier and parse the right hand value of the assignment. `JsonParser` will record, though, the existence of the assignment in the data stream and the variable name used.

Available since: 0.4

#### Parameters

`variable_name`

  Type: `gchar**`

  The variable name.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if there was an assignment, and `FALSE` otherwise.